<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Camion</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Camion</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br><br><br>

<!-- Aggiunta dei bottoni -->
<div class="container">
    <div class="buttons-container">
        <a href="Fermi.php?idStato=1"><button class='button2 primary'>Fermi</button></a>
		<a href="InCorso.php?idStato=2"><button class='button2 primary'>In Corso</button></a>
		<a href="Concluso.php?idStato=3"><button class='button2 primary'>Concluso</button></a>
    </div>
</div>

<div class="container">
   <?php
// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server!";
    exit;
}

// Verifica se è stato passato un parametro "idStato" attraverso la URL
if (isset($_GET['idStato'])) {
    $idStato = $_GET['idStato'];

    // Query SQL per ottenere i camion con il controllo sullo stato delle manutenzioni
    $sql = "SELECT camion.IDCamion, camion.Targa, camion.Modello, stato_manutenzione.Descrizione_Stato_Manutenzione, rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio 
            FROM camion
            JOIN rimorchi ON camion.IDRimorchio = rimorchi.IDRimorchio
            JOIN tipologia_rimorchi ON rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi
            LEFT JOIN manutenzione ON camion.IDCamion = manutenzione.IDCamion
            LEFT JOIN stato_manutenzione ON manutenzione.IDStato_Manutenzione = stato_manutenzione.IDStato_Manutenzione
            WHERE stato_manutenzione.IDStato_Manutenzione = $idStato";
} else {
    // Query SQL per ottenere tutti i camion senza filtro sullo stato delle manutenzioni
    $sql = "SELECT camion.IDCamion, camion.Targa, camion.Modello, stato_manutenzione.Descrizione_Stato_Manutenzione, rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio 
            FROM camion
            JOIN rimorchi ON camion.IDRimorchio = rimorchi.IDRimorchio
            JOIN tipologia_rimorchi ON rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi
            LEFT JOIN manutenzione ON camion.IDCamion = manutenzione.IDCamion
            LEFT JOIN stato_manutenzione ON manutenzione.IDStato_Manutenzione = stato_manutenzione.IDStato_Manutenzione";
}

// Esecuzione della query
$result = $conn->query($sql);
    if ($result) {
        if ($result->num_rows > 0) {
            echo "<table class='table'>"; // Utilizzo della classe 'table' per le tabelle
            echo "<tr>";
            echo "<th>Targa</th>";
            echo "<th>Modello</th>";
            echo "<th>Targa Rimorchio</th>";
            echo "<th>Tipo Rimorchio</th>";
            echo "<th>Descrizione Stato Manutenzione</th>";
            echo "<th>Azioni</th>";
            echo "</tr>";

            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Targa'] . "</td>";
                echo "<td>" . $row['Modello'] . "</td>";
                echo "<td>" . $row['Targa_Rimorchio'] . "</td>";
                echo "<td>" . $row['Tipo_Rimorchio'] . "</td>";
                echo "<td>" . $row['Descrizione_Stato_Manutenzione'] . "</td>";
                
                // Includo l'IDCamion nell'azione di cancellazione
                echo "<td><form action='Cancellazione_Camion.php' method='post' onsubmit=\"return confirm('Sei sicuro di voler cancellare questo camion?');\"><input type='hidden' name='IDCamion' value='" . $row['IDCamion'] . "'><input type='submit' class='button secondary' value='Cancella'></form></td>";
                echo "</tr>";
            }

            echo "</table>";
            $result->free();
        } else {
        echo "<br><br><br><br><b>Non ci sono camion!</b>";
    }
    } else {
        echo "Errore nella query: " . $conn->error;
    }

    $conn->close();
    ?>
     <!-- Bottone per tornare alla visualizzazione di tutti i camion -->
    <br><br><a href='Visualizzazione_Camion.php'><button class='button primary'>Visualizza tutti i camion</button></a>
</div>

<!-- Codice JavaScript per filtrare le manutenzioni -->
<script>
    function filtraManutenzioni(idStato) {
        // Redirect alla pagina con il filtro applicato
        window.location.href = "Visualizzazione_Camion.php?idStato=" + idStato;
    }
</script>

</body>
</html>
