<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Viaggio</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>

<header>
<a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Viaggio</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br>
<div class="container">

<?php
// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server!";
    exit;
}

// Query SQL per selezionare i dati relativi ai viaggi
$sql = "SELECT 
    viaggio.IDViaggio, 
    CONCAT(utente.Nome, ' ', utente.Cognome) AS Nominativo,
    Destinazione, 
    DATE_FORMAT(viaggio.Data_Partenza,'%d/%m/%y') as Data_Partenza, 
    Ora_Partenza, 
    DATE_FORMAT(viaggio.Data_Arrivo,'%d/%m/%y') as Data_Arrivo, 
    Ora_Arrivo, 
    Kilometri_percorrere, 
    stato_viaggio.Descrizione_Stato_Viaggio, 
    Costo_Previsto, 
    camion.Modello
FROM 
    viaggio
    INNER JOIN stato_viaggio ON viaggio.IDStato_Viaggio = stato_viaggio.IDStato_Viaggio
    INNER JOIN camion ON viaggio.IDCamion = camion.IDCamion
    INNER JOIN utente ON camion.IDUtente = utente.IDUtente
    LEFT JOIN fermate ON viaggio.IDViaggio = fermate.IDViaggio";

// Esegue la query e memorizza il risultato
$result = $conn->query($sql);
$conta = $result->num_rows;
if ($conta > 0) {
 // Se ci sono risultati, crea una tabella HTML per visualizzarli
    echo "<br><br><br>";
    echo "<table class='table'>"; // Utilizzo della classe 'table' per le tabelle
    echo "<tr>";
    echo "<th>Nominativo</th>";
    echo "<th>Destinazione</th>";
    echo "<th>Data Partenza</th>";
    echo "<th>Ora Partenza</th>";
    echo "<th>Data Arrivo</th>";
    echo "<th>Ora Arrivo</th>";
    echo "<th>Kilometri percorrere</th>";
    echo "<th>Descrizione Stato Viaggio</th>";
    echo "<th>Costo Previsto</th>";
    echo "<th>Modello</th>";
    echo "<th>Azioni</th>"; // Aggiunta della colonna per le azioni
    echo "</tr>";

    while ($row = $result->fetch_assoc()) {

        echo "<tr>";
        echo "<td>" . $row['Nominativo'] . "</td>";
        echo "<td>" . $row['Destinazione'] . "</td>";
        echo "<td>" . $row['Data_Partenza'] . "</td>";
        echo "<td>" . $row['Ora_Partenza'] . "</td>";
        echo "<td>" . $row['Data_Arrivo'] . "</td>";
        echo "<td>" . $row['Ora_Arrivo'] . "</td>";
        echo "<td>" . $row['Kilometri_percorrere'] . "</td>";
        echo "<td>" . $row['Descrizione_Stato_Viaggio'] . "</td>";
        echo "<td>" . $row['Costo_Previsto'] . "</td>";
        echo "<td>" . $row['Modello'] . "</td>";


        // Aggiungi la colonna con il pulsante per la cancellazione con conferma
        echo "<td><form action='Cancellazione_Viaggio.php' method='post' onsubmit=\"return confirm('Sei sicuro di voler cancellare questo viaggio?');\">
                <input type='hidden' name='IDViaggio' value='" . $row['IDViaggio'] . "'>
                <input type='submit' class='button secondary' value='Cancella'>
              </form></td>";
        echo "</tr>";
    }

    echo "</table>";
    $result->free();
} else {
   echo "<br><br><br><br><b align='center'>Non ci sono viaggi!</b>";
}

// Chiusura della connessione al database 
$conn->close();
?>

</div>
</body>
</html>
