<?php
session_start();

// Verifica se l'utente ha effettuato l'accesso e ha un IDUtente valido
if (!isset($_SESSION['IDUtente'])) {
    // Se l'utente non è loggato, reindirizzalo alla pagina di login o ad un'altra pagina appropriata
    header("Location: Accesso.php");
    exit(); // Assicura che il codice successivo non venga eseguito dopo il reindirizzamento
}

// Ottieni l'IDUtente dall'utente loggato
$IDUtente = $_SESSION['IDUtente'];

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_error) {
    die("Connessione al database fallita: " . $conn->connect_error);
}

// Query SQL per ottenere le fermate dell'utente loggato
$sql = "SELECT f.IDFermate, f.Luoghi_Fermate, f.Motivo, f.Tempo_Fermata
        FROM fermate AS f
        INNER JOIN viaggio AS v ON f.IDViaggio = v.IDViaggio
        INNER JOIN camion AS c ON v.IDCamion = c.IDCamion
        WHERE c.IDUtente = $IDUtente";

$result = $conn->query($sql);

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifica Fermate</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1>Modifica Fermate</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
<div class="container">
    <table class="table">
        <thead>
        <tr>
            <th>Luoghi Fermate</th>
            <th>Motivo</th>
            <th>Tempo Fermata</th>
            <th>Azioni</th>
        </tr>
        </thead>
        <tbody>
        <?php
        if ($result->num_rows > 0) {
            // Stampare le righe della tabella con i dati delle fermate
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>{$row['Luoghi_Fermate']}</td>";
                echo "<td>{$row['Motivo']}</td>";
                echo "<td>{$row['Tempo_Fermata']}</td>";
                echo "<td><a href='Interroga.php?id={$row['IDFermate']}'><button class='button primary'>Modifica</button></a></td>";
                echo "</tr>";
            }
        } else {
            echo "<tr><td colspan='4'>Nessuna fermata trovata per questo utente.</td></tr>";
        }

        // Chiudere la connessione al database
        $conn->close();
        ?>
        </tbody>
    </table>
</div>
</body>
</html>
