<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Viaggio Autista</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Viaggio Autista</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br>
<div class="container">

<?php
// Avvio della sessione
session_start();

// Controllo se l'utente è loggato e ha l'IDUtente memorizzato nella sessione
if (!isset($_SESSION['IDUtente'])) {
    // Se l'utente non è loggato, reindirizzalo alla pagina di accesso
    header("Location: Accesso.php");
    exit;
}

// Recupera l'IDUtente dell'utente loggato dalla sessione
$IDUtente = $_SESSION['IDUtente'];

$conn = new mysqli("localhost", "root", "", "my_truckmanagement");

// Verifica la connessione al database
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

$sql = "SELECT 
    viaggio.IDViaggio, 
    Destinazione, 
    DATE_FORMAT(viaggio.Data_Partenza,'%d/%m/%y') AS Data_Partenza, 
    Ora_Partenza, 
    DATE_FORMAT(viaggio.Data_Arrivo,'%d/%m/%y') AS Data_Arrivo, 
    Ora_Arrivo, 
    Kilometri_percorrere, 
    stato_viaggio.Descrizione_Stato_Viaggio, 
    CONCAT(camion.Modello, ' ', camion.Targa) AS ModelloTargaCamion,
    CONCAT(rimorchi.Targa_Rimorchio, ' ', tipologia_rimorchi.Tipo_Rimorchio) AS TargaTipoRimorchio
FROM 
    viaggio
    INNER JOIN stato_viaggio ON viaggio.IDStato_Viaggio = stato_viaggio.IDStato_Viaggio
    INNER JOIN camion ON viaggio.IDCamion = camion.IDCamion
    INNER JOIN utente ON camion.IDUtente = utente.IDUtente
    LEFT JOIN rimorchi ON camion.IDRimorchio = rimorchi.IDRimorchio
    LEFT JOIN tipologia_rimorchi ON tipologia_rimorchi.IDTipologia_Rimorchi = rimorchi.IDTipologia_Rimorchi
WHERE utente.IDUtente = $IDUtente";

$result = $conn->query($sql);

// Verifica se la query ha prodotto errori
if (!$result) {
    echo "Errore nella query: " . $conn->error;
    exit;
}

$conta = $result->num_rows;

if ($conta > 0) {
    echo "<br><br><br>";
    echo "<table class='table'>";
    echo "<tr>";
    echo "<th>Destinazione</th>";
    echo "<th>Data Partenza</th>";
    echo "<th>Ora Partenza</th>";
    echo "<th>Data Arrivo</th>";
    echo "<th>Ora Arrivo</th>";
    echo "<th>Kilometri percorrer</th>";
    echo "<th>Stato Viaggio</th>";
    echo "<th>Modello e Targa Camion</th>";
    echo "<th>Targa e Tipo Rimorchio</th>";
    echo "<th>Aggiorna Stato Viaggio</th>";
    echo "</tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr>";
        echo "<td>" . $row['Destinazione'] . "</td>";
        echo "<td>" . $row['Data_Partenza'] . "</td>";
        echo "<td>" . $row['Ora_Partenza'] . "</td>";
        echo "<td>" . $row['Data_Arrivo'] . "</td>";
        echo "<td>" . $row['Ora_Arrivo'] . "</td>";
        echo "<td>" . $row['Kilometri_percorrere'] . "</td>";
        echo "<td>" . $row['Descrizione_Stato_Viaggio'] . "</td>";
        echo "<td>" . $row['ModelloTargaCamion'] . "</td>";
        echo "<td>" . $row['TargaTipoRimorchio'] . "</td>";
        echo "<td><form action='Interroga.php' method='post'><input type='hidden' name='IDViaggio' value='" . $row['IDViaggio'] . "'><input type='submit' class='button primary' value='Aggiorna'></form></td>";
        echo "</tr>";
    }

    echo "</table>";
    $result->free();
} else {
   echo "<br><br><br><br><b align='center'>Non ci sono viaggi!</b>";
}

$conn->close();
?>


</div>
</body>
</html>
