<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Manutenzioni</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Direttore/Immagini_Direttore/logo.png">
</head>
<body>

<header>
    <!-- Link alla home page -->
    <a href="https://truckmanagement.altervista.org/Lato_Direttore/Area_Direttore/Area_Direttore.html"><button class="bottone_home primary">Home</button></a>
    <!-- Titolo della pagina -->
    <h1>Visualizzazione Manutenzioni</h1>
    <!-- Logo dell'azienda -->
    <img id="logo" src="../../Lato_Direttore/Immagini_Direttore/logo.png" alt="Logo">
</header>
<br><br><br><br>

<!-- Aggiunta dei bottoni per filtrare le manutenzioni per stato -->
<div class="container">
    <div class="buttons-container">
        <a href="Fermi.php"><button class='button2 primary'>Fermi</button></a>
        <a href="InCorso.php"><button class='button2 primary'>In Corso</button></a>
        <a href="Concluso.php"><button class='button2 primary'>Concluso</button></a>
    </div>
</div>

<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

    // Verifica se è stato passato un parametro "idStato" attraverso la URL
    if (isset($_GET['idStato'])) {
        $idStato = $_GET['idStato'];

        // Query SQL per ottenere le manutenzioni filtrate per lo stato selezionato
        $sql = "SELECT m.Descrizione, DATE_FORMAT(m.Data_Inizio,'%d/%m/%y') AS Data_Inizio, DATE_FORMAT(m.Data_Fine,'%d/%m/%y') AS Data_Fine, sm.Descrizione_Stato_Manutenzione, c.Targa, c.Modello
                FROM manutenzione m
                INNER JOIN stato_manutenzione sm ON m.IDStato_Manutenzione = sm.IDStato_Manutenzione
                INNER JOIN camion c ON m.IDCamion = c.IDCamion
                WHERE sm.IDStato_Manutenzione = $idStato
                ORDER BY m.Data_Inizio;";
    } else {
        // Query SQL per ottenere tutte le manutenzioni senza filtro
        $sql = "SELECT m.Descrizione, DATE_FORMAT(m.Data_Inizio,'%d/%m/%y') AS Data_Inizio, DATE_FORMAT(m.Data_Fine,'%d/%m/%y') AS Data_Fine, sm.Descrizione_Stato_Manutenzione, c.Targa, c.Modello
                FROM manutenzione m
                INNER JOIN stato_manutenzione sm ON m.IDStato_Manutenzione = sm.IDStato_Manutenzione
                INNER JOIN camion c ON m.IDCamion = c.IDCamion
                ORDER BY m.Data_Inizio;";
    }

    // Esecuzione della query
    $result = $conn->query($sql);

    if ($result) {
        if ($result->num_rows > 0) {
            // Creazione della tabella HTML per visualizzare i risultati
            echo "<table class='table'>";
            echo "<tr>";
            echo "<th>Descrizione</th>";
            echo "<th>Data Inizio</th>";
            echo "<th>Data Fine</th>";
            echo "<th>Stato Manutenzione</th>";
            echo "<th>Targa</th>";
            echo "<th>Modello</th>";
            echo "</tr>";

            // Iterazione sui risultati della query
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Descrizione'] . "</td>";
                echo "<td>" . $row['Data_Inizio'] . "</td>";
                echo "<td>" . $row['Data_Fine'] . "</td>";
                echo "<td>" . $row['Descrizione_Stato_Manutenzione'] . "</td>";
                echo "<td>" . $row['Targa'] . "</td>";
                echo "<td>" . $row['Modello'] . "</td>";
                echo "</tr>";
            }

            echo "</table>";
            $result->free(); // Liberare la memoria dei risultati
        } else {
            // Se non ci sono manutenzioni per il filtro selezionato, mostra il messaggio
            echo "<br><br><br><br><b>Nessuna manutenzione trovata!</b>";
        }
    } else {
        // Se si verifica un errore nella query, mostra un messaggio di errore
        echo "Errore nella query: " . $conn->error;
    }

    // Chiusura della connessione al database
    $conn->close();
    ?>
    <!-- Bottone per tornare alla visualizzazione di tutti i camion -->
    <br><br><a href='Visualizzazione_Camion_Manutenzione.php'><button class='button primary'>Visualizza tutti i camion</button></a>
</div>

<!-- Codice JavaScript per filtrare le manutenzioni -->
<script>
    function filtraManutenzioni(idStato) {
        // Redirect alla pagina con il filtro applicato
        window.location.href = "Visualizzazione_Camion_Manutenzione.php?idStato=" + idStato;
    }
</script>

</body>
</html>
