<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Utenti</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="icon" type="image/png" href="../../Lato_Direttore/Immagini_Direttore/logo.png">
</head>
<body>

<header>
    <!-- Pulsante per tornare alla home e titolo della pagina -->
    <a href="https://truckmanagement.altervista.org/Lato_Direttore/Area_Direttore/Area_Direttore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Utenti</h1>
    <!-- Logo -->
    <img id="logo" src="../../Lato_Direttore/Immagini_Direttore/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

    // Query SQL per selezionare i dettagli degli utenti uniti al ruolo
    $sql = "SELECT utente.IDUtente, ruolo.Descrizione_ruolo, CONCAT(Nome, ' ', Cognome) AS Nominativo, DATE_FORMAT(Data_nascita,'%d/%m/%y') AS Data_nascita, Telefono, Email, Username
            FROM utente
            INNER JOIN ruolo ON utente.IDRuolo = ruolo.IDRuolo
            ORDER BY Nominativo";

    // Esecuzione della query
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        // Creazione della tabella per visualizzare i dati degli utenti
        echo "<table class='table'>"; 
        echo "<tr>";
        echo "<th>Descrizione Ruolo</th>";
        echo "<th>Nominativo</th>";
        echo "<th>Data Nascita</th>";
        echo "<th>Telefono</th>";
        echo "<th>Email</th>";
        echo "<th>Username</th>";
        echo "<th>Azioni</th>";
        echo "</tr>";

        // Iterazione sui risultati della query e popolazione della tabella
        while ($row = $result->fetch_assoc()) {
            echo "<tr>";
            echo "<td>" . $row['Descrizione_ruolo'] . "</td>";
            echo "<td>" . $row['Nominativo'] . "</td>";
            echo "<td>" . $row['Data_nascita'] . "</td>";
            echo "<td>" . $row['Telefono'] . "</td>";
            echo "<td>" . $row['Email'] . "</td>";
            echo "<td>" . $row['Username'] . "</td>";
            
            // Aggiungi la colonna con il pulsante per la cancellazione
            echo "<td><form action='Cancellazione_Utenti.php' method='post' onsubmit='return confirm(\"Sei sicuro di voler cancellare questo utente?\");'>
                    <input type='hidden' name='IDUtente' value='" . $row['IDUtente'] . "'>
                    <input type='submit' class='button secondary' value='Cancella'>
                  </form></td>";
            echo "</tr>";
        }

        echo "</table>";
    } else {
        // Messaggio nel caso non ci siano utenti
        echo "<br><br><br><br><b>Non ci sono utenti!</b>";
    }

    // Chiusura della connessione al database
    $conn->close();
    ?>
</div>

</body>
</html>
