<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Viaggi Settimanali</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Direttore/Immagini_Direttore/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Direttore/Area_Direttore/Area_Direttore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Viaggi Settimanali</h1>
    <img id="logo" src="../../Lato_Direttore/Immagini_Direttore/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

    // Query SQL per selezionare i viaggi settimanali con stato viaggio = 3
    $sql = "SELECT viaggio.IDViaggio, CONCAT(Nome, ' ', Cognome) AS Nominativo, Destinazione, DATE_FORMAT(Data_Partenza,'%d/%m/%y') AS Data_Partenza, Ora_Partenza, DATE_FORMAT(Data_Arrivo,'%d/%m/%y') AS Data_Arrivo, Ora_Arrivo, Kilometri_percorrere, Descrizione_Stato_Viaggio, CONCAT(Targa, ' ', Modello) AS Camion
        FROM viaggio, utente, stato_viaggio, camion
        WHERE viaggio.IDStato_Viaggio=stato_viaggio.IDStato_Viaggio 
        AND utente.IDUtente=camion.IDUtente 
        AND viaggio.IDCamion=camion.IDCamion 
        AND stato_viaggio.IDStato_Viaggio=3 
        AND WEEK(Data_Partenza) = WEEK(CURRENT_DATE()) 
        AND YEAR(Data_Partenza) = YEAR(CURRENT_DATE());";
        
    // Esecuzione della query
    $result = $conn->query($sql);
    if ($result) {
        if ($result->num_rows > 0) {
            // Se ci sono risultati, creare una tabella HTML per visualizzarli
            echo "<table class='table'>"; 
            echo "<tr>";
            echo "<th>Nominativo</th>";
            echo "<th>Destinazione</th>";
            echo "<th>Data Partenza</th>";
            echo "<th>Ora Partenza</th>";
            echo "<th>Data Arrivo</th>";
            echo "<th>Ora Arrivo</th>";
            echo "<th>Kilometri percorrere</th>";
            echo "<th>Descrizione Stato Viaggio</th>";
            echo "<th>Camion</th>";
            echo "</tr>";

            // Ciclo attraverso i risultati e popola la tabella
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Nominativo'] . "</td>";
                echo "<td>" . $row['Destinazione'] . "</td>";
                echo "<td>" . $row['Data_Partenza'] . "</td>";
                echo "<td>" . $row['Ora_Partenza'] . "</td>";
                echo "<td>" . $row['Data_Arrivo'] . "</td>";
                echo "<td>" . $row['Ora_Arrivo'] . "</td>";
                echo "<td>" . $row['Kilometri_percorrere'] . "</td>";
                echo "<td>" . $row['Descrizione_Stato_Viaggio'] . "</td>";
                echo "<td>" . $row['Camion'] . "</td>";
                echo "</tr>";
            }

            echo "</table>";
            // Liberare il risultato
            $result->free();
        } else {
            // Se non ci sono viaggi, mostrare un messaggio
            echo "<br><br><br><br><b>Non ci sono viaggi in corso!</b>";
        }
    } else {
        // Se c'è un errore nella query, mostrare un messaggio di errore
        echo "Errore nella query: " . $conn->error;
    }

    // Chiudere la connessione al database
    $conn->close();
    ?>
</div>

</body>
</html>
