<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Manutenzione</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Meccanico/Immagini_Meccanico/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Meccanico/Area_Meccanico/Area_Meccanico.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Manutenzione</h1>
    <img id="logo" src="../../Lato_Meccanico/Immagini_Meccanico/logo.png" alt="Logo">
</header>
<br><br>
<div class="container">

<?php
// Creazione della connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");

// Controllo della connessione al database
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

// Query SQL per selezionare i dati delle manutenzioni
$sql = "SELECT Descrizione, DATE_FORMAT(Data_Inizio,'%d/%m/%y') AS Data_Inizio, DATE_FORMAT(Data_Fine,'%d/%m/%y') AS Data_Fine, Descrizione_Stato_Manutenzione, Targa, Modello, manutenzione.IDManutenzione
FROM manutenzione, stato_manutenzione, camion
WHERE manutenzione.IDStato_Manutenzione=stato_manutenzione.IDStato_Manutenzione AND
      manutenzione.IDCamion=camion.IDCamion
      ORDER BY Data_Inizio";

// Esecuzione della query
$result = $conn->query($sql);

// Controllo dell'esecuzione della query
if (!$result) {
    echo "Errore nella query: " . $conn->error;
    exit;
}

// Controllo del numero di righe restituite dalla query
$conta = $result->num_rows;

// Se ci sono manutenzioni, visualizza la tabella
if ($conta > 0) {
    echo "<br><br><br>";
    echo "<table class='table'>";
    echo "<tr>";
    echo "<th>Descrizione</th>";
    echo "<th>Data Inizio</th>";
    echo "<th>Data Fine</th>";
    echo "<th>Stato Manutenzione</th>";
    echo "<th>Targa</th>";
    echo "<th>Modello</th>";
    echo "<th>Aggiorna Data Fine Manutenzione</th>"; 
    echo "</tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr>";
        echo "<td>" . $row['Descrizione'] . "</td>";
        echo "<td>" . $row['Data_Inizio'] . "</td>";
        echo "<td>" . $row['Data_Fine'] . "</td>";
        echo "<td>" . $row['Descrizione_Stato_Manutenzione'] . "</td>";
        echo "<td>" . $row['Targa'] . "</td>";
        echo "<td>" . $row['Modello'] . "</td>";
        echo "<td><form action='Interroga.php' method='post'><input type='hidden' name='IDManutenzione' value='" . $row['IDManutenzione'] . "'><input type='submit' class='button primary' value='Aggiorna'></form></td>";
        echo "</tr>";
    }

    echo "</table>";
    // Libera la memoria dai risultati
    $result->free();
} else {
   echo "<br><br><br><br><b align='center'>Non ci sono manutenzioni!</b>";
}

// Chiusura della connessione al database
$conn->close();
?>

</div>
</body>
</html>
