<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Ingresso e Uscita Camion</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Responsabile_della_Sicurezza/Area_Responsabile_della_Sicurezza/Lato_Responsabile_della_Sicurezza.html">
        <button class="bottone_home primary">Home</button>
    </a>
    <h1>Visualizzazione Ingresso e Uscita Camion</h1>
    <img id="logo" src="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png" alt="Logo">
</header>

<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

    // Query SQL per visualizzare l'orario di ingresso e di uscita con la targa e il modello concatenati,
    // la tipologia e la targa del rimorchio, ordinati per data di arrivo più vicina a quella attuale
    $sql = "SELECT DATE_FORMAT(v.Data_Partenza, '%d/%m/%Y') AS Data_Partenza, 
                   v.Ora_Partenza, 
                   DATE_FORMAT(v.Data_Arrivo, '%d/%m/%Y') AS Data_Arrivo, 
                   v.Ora_Arrivo, 
                   CONCAT(c.targa, ' - ', c.modello) AS Targa_Modello, 
                   CONCAT(r.Targa_Rimorchio, ' - ', tr.Tipo_Rimorchio) AS Targa_Tipologia_Rimorchio
            FROM viaggio v
            INNER JOIN camion c ON v.IDCamion = c.IDCamion
            LEFT JOIN rimorchi r ON c.IDRimorchio = r.IDRimorchio
            LEFT JOIN tipologia_rimorchi tr ON r.IDTipologia_Rimorchi = tr.IDTipologia_Rimorchi
            WHERE v.Data_Arrivo >= CURDATE()
            ORDER BY v.Data_Arrivo ASC";

    // Esecuzione della query
    $result = $conn->query($sql);
    echo "<br><br><br><br>";
    if ($result) {
        if ($result->num_rows > 0) {
        // Creazione della tabella
            echo "<table class='table'>";
            echo "<tr>";
            echo "<th>Data Partenza</th>";
            echo "<th>Ora Partenza</th>";
            echo "<th>Data Arrivo</th>";
            echo "<th>Ora Arrivo</th>";
            echo "<th>Targa e Modello Camion</th>";
            echo "<th>Targa e Tipologia Rimorchio</th>";
            echo "</tr>";

            // Popolazione della tabella con i dati della query
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Data_Partenza'] . "</td>";
                echo "<td>" . $row['Ora_Partenza'] . "</td>";
                echo "<td>" . $row['Data_Arrivo'] . "</td>";
                echo "<td>" . $row['Ora_Arrivo'] . "</td>";
                echo "<td>" . $row['Targa_Modello'] . "</td>";
                echo "<td>" . $row['Targa_Tipologia_Rimorchio'] . "</td>";
                echo "</tr>";
            }

            echo "</table>";
        } else {
            echo "<br><br><br><br><b>Nessuna partenza o arrivo disponibile per questo viaggio!</b>";
        }
        $result->free(); // Liberare la memoria dei risultati
    } else {
        echo "Errore nella query: " . $conn->error;
    }

    // Chiusura della connessione al database
    $conn->close();
    ?>
</div>

</body>
</html>
